Bug 50080 - sshd has wrong spool dir path
sshd has wrong spool dir path
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2001-07-26 12:32 EDT by j. alan eldridge
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-06 09:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description j. alan eldridge 2001-07-26 12:32:50 EDT
Description of Problem:

Forwarding X connections (which doesn't work) attempts to 
use /usr/spool/sockets/X11.
Comment 1 Nalin Dahyabhai 2001-09-06 08:51:35 EDT
This directory should only be checked if there's no socket in /tmp/.X11-unix,
and none in /var/X/.X11-unix, either.  This leads me to believe that the DISPLAY
environment variable is set correctly on either the server or the client.

What are the values of the DISPLAY variable on the client and in the session
started by the server?  Is X11 forwarding enabled?
Comment 2 j. alan eldridge 2001-09-06 09:11:40 EDT
Uh, yup. I finally strace'd the client (under *Cygwin*, are you starting to see
the picture that I'm going to paint?), and yes, it's the client.

eXceed (this is at work, under Winsux-2000-times-worse) doesn't know about
Cygwin, and it doesn't know about putting sockets in the file system period
(AFAIK; does NTFS even support them?). So it's the Cygwin client that's pissing
and moaning (it also bitches about not finding /usr/X11R6/bin/xauth) about this.
I think I'll just install XFree86 and be done with eXceed (which most times,
does eXceed my expectations ... for really annoying behavior, that is).

CLOSED. I'd mark it myself, but I don't have button on my UI in Mozilla.
Comment 3 Nalin Dahyabhai 2002-03-07 14:07:05 EST

Note You need to log in before you can comment on or make changes to this bug.